﻿(function () {

    'use strict';

    function providerViewController($scope) {

        var pvm = this;
        pvm.loading = false;

        // incase we are not loaded before the broadcase event happens
        // 
        if ($scope.vm !== undefined && $scope.vm.settings !== undefined) {
            checkDefaults($scope.vm.settings);
        }
        else {
            $scope.$on('tp_providerSettings', function (event, data) {
                checkDefaults($scope.vm.settings);
            });
        }

        function checkDefaults(settings) {
            if (settings.toolbar === undefined || settings.toolbar === '')
                settings.toolbar = '"code", "undo", "redo", "cut", "bold", "italic"';

            if (settings.height === undefined || settings.height === '')
                settings.height = '300';

            if (settings.plugins === undefined || settings.plugins === '')
                settings.plugins = '"noneditable"';
        }

    }

    angular.module('umbraco')
        .controller('translatorProviderConfigController', providerViewController);

})();